@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap");

@import "variables";

// Genreal reset
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
}

.container {
  max-width: 1400px;
  margin: auto;
  padding: 0 0.5rem;
}

a {
  text-decoration: none;
  color: #000;
}

.error {
  background-color: $light-color;
  text-align: center;
  padding: 1rem;
}

nav {
  .container {
    padding: 0.5rem;
    background-color: $primary-color;
    display: flex;
    align-items: center;
    gap: 1rem;
  }

  span {
    display: inline-block;
  }

  .logo {
    font-size: 1.5rem;
    font-weight: 400;
  }

  .input-group {
    background-color: #fff;
    display: flex;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
    gap: 1rem;

    input {
      width: inherit;
      border: 0;
      padding: 0.7rem 0;
      font-size: 1rem;
      outline: none;
    }

    i {
      color: $primary-color;
      font-size: 1.5rem;
    }
  }
}

.result-wrapper {
  padding: 1rem 0.5rem;
  background-color: $light-color;
  .result-item {
    margin: 1rem auto;
    .heading {
      display: flex;
      gap: 0.5rem;
      font-size: 1rem;

      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;

      p {
        max-width: 50%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
      }
      span {
        max-width: 50%;
        font-weight: 300;
        color: $light-text-color;
        font-size: 0.9rem;
      }
    }

    .stats {
      margin-top: 0.2rem;
      color: $light-text-color;
      font-size: 0.9rem;
      font-weight: 300;
      span:not(:last-child) {
        border-right: 1px solid $light-text-color;
        margin-right: 0.5rem;
        padding-right: 0.5rem;
      }
    }
  }
}

.loader {
  text-align: center;
}

.filter-wrapper {
  background-color: $light-color;
  display: flex;
  gap: 1rem;
  align-items: center;
  padding: 0.5rem;

  select {
    border: 1px solid $light-text-color;
    outline: none;
    border-radius: 2px;
    padding: 2px;
    color: $light-text-color;
    font-size: 1rem;
    background-color: $light-color;

    option {
      background-color: #fff;
    }
  }
}
